
#include 'iSet.r'

resource 'iSet' (128,"mc680x0")
{
	multiform, preferLit, hasPredec, noPreinc, noPstdec, hasPstinc,
	2, hexadecimal, 0, 0,

 #define All68K					$"FFFF"
 #define Cm68020				$"03FF"
 #define CmCPU32				$"0C00"
 #define Cm68C20				$"0FFF"		/* 68020+ and CPU32 */
 #define CmFPU					$"03C9"		/* 68040/60 and 68881/2 supporting */

 #define CmBranch(n,i)			\
	{n,All68K, {0,Constant{i<<8}, 2,LgUser_Type{PC_plus_next}}},	\
	{n".s",All68K, {8,Constant{i}, 8,User_Type{PC_plus_next}}},		\
	{n".l",Cm68020, {0,Constant{(i<<8) | 0xFF}, 4,LgUser_Type{PC_plus_next}}}, \
	{n".w",All68K, 0,Mnemonic{n}}
 #define CmDBranch(n,i)			\
 	{n,All68K, 13,Constant{(i<<8) | 25}, RDn, 2,LgUser_Type{PC_plus_next}}

 #define iRAn					0			/* (An) */
 #define RAnP					1			/* (An)+ */
 #define MRAn					2			/* -(An) */
 #define dRAn					3			/* d(An) */
 #define mEA_Lower				4
 #define EA_Lower				6,Macro_Type{mEA_Lower}
 #define mEA_Higher				5
 #define EA_Higher				6,Macro_Type{mEA_Higher}
 #define mEA_DLower				6
 #define EA_DLower				6,Macro_Type{mEA_DLower}
 #define mEA_ULower				7
 #define EA_ULower				6,Macro_Type{mEA_ULower}
 #define mEA_Bitfield			8
 #define EA_Bitfield			6,Macro_Type{mEA_Bitfield}

 #define RDn					3,Register_Type{0}
 #define RAn					3,Register_Type{1}

 #define ImmB					8,Ignored{}, 1,Large_Literal{}
 #define ImmW					2,Large_Literal{}
 #define ImmL					4,Large_Literal{}

	{
		/* 0C2346 / E081 C+E2 E3EL 4EL6 */
		{'mc68EC000',0},
		{'mc68000',0},
		{'mc68008',0},
		{'mc68010',0},
		{'CPU32',1},
		{'CPU32+',1},
		{'mc68EC020',2},
		{'mc68020',2},
		{'mc68EC030',3},
		{'mc68030',3},
		/*{'68040V',6},*/
		{'mc68EC040',4},
		{'mc68LC040',4},
		{'mc68040',4},
		/*{'68060V',7},*/
		{'mc68EC060',5},
		{'mc68LC060',5},
		{'mc68060',5},
		/* 16 */
	},

	{
		integer_displacement,
		mc68K_ea_lower,
		mc68K_ea_higher,
		mc68K_bitfield1,
		mc68K_bitfield2,
		mc68K_PC_plus_next,
		mc68K_spec_register,
	},

	{
		{"abcd",All68K, {4,Constant{12}, 1,Exchange{0,1}, RDn, 6,Constant{32}, 1,Matching_Type{}},	/* $C100 */
		{"abcd",All68K, {4,Constant{12}, 1,Exchange{0,1}, MRAn, 6,Constant{33}, 1,Matching_Type{}},
		{"add.b",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 3,Constant{0}, EA_Lower}},
		{"add.b",All68K, {4,Constant{13}, RDn, 3,Constant{4}, EA_Lower}},
		{"add.l",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 3,Constant{2}, EA_Lower}},
		{"add.l",All68K, {4,Constant{13}, RDn, 3,Constant{6}, EA_Lower}},
		{"add.w",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 3,Constant{1}, EA_Lower}},
		{"add.w",All68K, {4,Constant{13}, RDn, 3,Constant{5}, EA_Lower}},
		{"adda.l",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 3,Constant{7}, EA_Lower}},	/* $91C0 */
		{"adda.w",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 3,Constant{3}, EA_Lower}},
		{"addi.b",All68K, {10,Constant{48}, EA_Lower, ImmB}},
		{"addi.l",All68K, {10,Constant{50}, EA_Lower, ImmW}},
		{"addi.w",All68K, {10,Constant{49}, EA_Lower, ImmL}},
		{"addq.b",All68K, {4,Constant{5}, 3,Nonzero_Literal{}, 3,Constant{0}, EA_Lower}},	/* $5100 */
		{"addq.l",All68K, {4,Constant{5}, 3,Nonzero_Literal{}, 3,Constant{2}, EA_Lower}},
		{"addq.w",All68K, {4,Constant{5}, 3,Nonzero_Literal{}, 3,Constant{1}, EA_Lower}},
		{"addx.b",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 4,Constant{32}, 1,Matching_Type{}}},	/* $9100 */
		{"addx.b",All68K, {4,Constant{13}, 1,Exchange{0,1}, MRAn, 4,Constant{33}, 1,Matching_Type{}}},
		{"addx.l",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 4,Constant{48}, 1,Matching_Type{}}},
		{"addx.l",All68K, {4,Constant{13}, 1,Exchange{0,1}, MRAn, 4,Constant{49}, 1,Matching_Type{}}},
		{"addx.w",All68K, {4,Constant{13}, 1,Exchange{0,1}, RDn, 4,Constant{40}, 1,Matching_Type{}}},
		{"addx.w",All68K, {4,Constant{13}, 1,Exchange{0,1}, MRAn, 4,Constant{41}, 1,Matching_Type{}}},
		{"and.b",All68K, {4,Constant{12}, RDn, 3,Constant{4}, EA_Lower}},	/* $C000 */
		{"and.b",All68K, {4,Constant{12}, RDn, 1,Exchange{0,1}, 3,Constant{0}, EA_Lower}},	/* $C000 */
		{"and.l",All68K, {4,Constant{12}, RDn, 3,Constant{6}, EA_Lower}},
		{"and.l",All68K, {4,Constant{12}, RDn, 1,Exchange{0,1}, 3,Constant{2}, EA_Lower}},
		{"and.w",All68K, {4,Constant{12}, RDn, 3,Constant{5}, EA_Lower}},
		{"and.w",All68K, {4,Constant{12}, RDn, 1,Exchange{0,1}, 3,Constant{1}, EA_Lower}},
		{"andi.b",All68K, {10,Constant{16}, EA_Lower, ImmB}},	/* $0200 */
		{"andi.l",All68K, {10,Constant{18}, EA_Lower, ImmW}},
		{"andi.w",All68K, {10,Constant{17}, EA_Lower, ImmL}},
		{"asl",All68K, {10,Constant{903}, EA_Lower}},
		{"asl.b",All68K, {4,Constant{14}, RDn, 1,Exchange{0,1}, 3,Constant{32}, RDn}},
		{"asl.l",All68K, {4,Constant{14}, RDn, 1,Exchange{0,1}, 3,Constant{34}, RDn}},
		{"asl.w",All68K, {4,Constant{14}, RDn, 1,Exchange{0,1}, 3,Constant{33}, RDn}},
		{"asr",All68K, {10,Constant{899}, EA_Lower}},
		{"asr.b",All68K, {4,Constant{14}, RDn, 1,Exchange{0,1}, 3,Constant{0}, RDn}},
		{"asr.l",All68K, {4,Constant{14}, RDn, 1,Exchange{0,1}, 3,Constant{2}, RDn}},
		{"asr.w",All68K, {4,Constant{14}, RDn, 1,Exchange{0,1}, 3,Constant{1}, RDn}},

		CmBranch("bcc",0x64),
		{"bchg",All68K, {4,Constant{0}}},
		{"bclr",All68K, {4,Constant{0}}},
		CmBranch("bcs",0x65),
		CmBranch("beq",0x67),
		{"bfchg",Cm68020, $EAC0},
		{"bfclr",Cm68020, $ECC0},
		{"bfexts",Cm68020, $EBC0},
		{"bfextu",Cm68020, $E9C0},
		{"bfffo",Cm68020, $EDC0},
		{"bfins",Cm68020, $EFC0},
		{"bfset",Cm68020, $EEC0},
		{"bftst",Cm68020, $E8C0},
		CmBranch("bge",0x6C),
		{"bgnd",CmCPU32, 0,Constant{0x4AFA}},
		CmBranch("bgt",0x6E),
		CmBranch("bhi",0x62),
		CmBranch("bhs",0x64),
		{"bkpt",$"FFFF", $4848},
		CmBranch("ble",0x6F),
		CmBranch("blo",0x65),
		CmBranch("bls",0x63),
		CmBranch("blt",0x6D),
		CmBranch("bmi",0x6B),
		CmBranch("bne",0x66},
		CmBranch("bpl",0x6A},
		{"bset",All68K, {4,Constant{0}}},
		CmBranch("bsr",0x61},
		{"btst",All68K, {4,Constant{0}}},
		CmBranch("bvc",0x68},
		CmBranch("bvs",0x69},
		CmBranch("bra",0x60},

		{"callm",$"0300", $06D0},
		{"cas.b",Cm68020, {0,Constant{0x0AC0}}},
		{"cas.l",Cm68020, {0,Constant{0x0EC0}}},
		{"cas.w",Cm68020, {0,Constant{0x0CC0}}},
		{"cas2.b",Cm68020, {0,Constant{0x0AFC}}},
		{"cas2.l",Cm68020, {0,Constant{0x0EFC}}},
		{"cas2.w",Cm68020, {0,Constant{0x0CFC}}},
		{"chk.l",Cm68020, $4100},
		{"chk.w",All68K, $4180},		/* $4180 - really */
		{"chk2.b",Cm68C20, {10,Constant{3}, EA_Lower, 4,Macro_Type{mEA_Lower}, 1,Constant{1}}},
		{"chk2.l",Cm68C20, {10,Constant{19}, EA_Lower, 4,Macro_Type{mEA_Lower}, 1,Constant{1}}},
		{"chk2.w",Cm68C20, {10,Constant{11}, EA_Lower, 4,Macro_Type{mEA_Lower}, 1,Constant{1}}},
		{"clr.b",All68K, {10,Constant{264}, EA_Lower}},	/* $4200 */
		{"clr.l",All68K, {10,Constant{266}, EA_Lower}},
		{"clr.w",All68K, {10,Constant{265}, EA_Lower}},
		{"cmp.b",All68K, {4,Constant{11}, RDn, }},	/* $B000 */
		{"cmp.l",All68K, {4,Constant{11}, RDn, }},
		{"cmp.w",All68K, {4,Constant{11}, RDn, }},
		{"cmp2.b",Cm68C20, {10,Constant{3},  EA_Lower, 4,Macro_Type{mEA_Lower}, 1,Constant{0}}},
		{"cmp2.l",Cm68C20, {10,Constant{19},  EA_Lower, 4,Macro_Type{mEA_Lower}, 1,Constant{0}}},
		{"cmp2.w",Cm68C20, {10,Constant{11},  EA_Lower, 4,Macro_Type{mEA_Lower}, 1,Constant{0}}},
		{"cmpa.l",All68K, {4,Constant{11}, RAn, 3,Constant{7}, EA_Lower}},	/* $B1C0 */
		{"cmpa.w",All68K, {4,Constant{11}, RAn, 3,Constant{3}, EA_Lower}},
		{"cmpi.b",All68K, {10,Constant{48}},	/* $0C00 */
		{"cmpi.l",All68K, {10,Constant{50}},
		{"cmpi.w",All68K, {10,Constant{49}},
		{"cmpm.b",All68K, {4,Constant{11}, }},	/* $B108 */
		{"cmpm.l",All68K, {4,Constant{11}, }},
		{"cmpm.w",All68K, {4,Constant{11}, }},

		CmDBranch("dbeq",0x57),
		CmDBranch("dbf",0x51),
		CmDBranch("dbge",0x5C),
		CmDBranch("dbgt",0x5E),
		CmDBranch("dbhi",0x52),
		CmDBranch("dbhs",0x54),
		CmDBranch("dble",0x5F),
		CmDBranch("dblo",0x57),
		CmDBranch("dbls",0x53),
		CmDBranch("dblt",0x5D),
		CmDBranch("dbmi",0x5B),
		CmDBranch("dbne",0x56),
		CmDBranch("dbpl",0x5A),
		{"dbra",All68K, 0,Mnemonic{"dbf"}},
		CmDBranch("dbt",0x50),
		CmDBranch("dbvc",0x58),
		CmDBranch("dbvs",0x59),
		{"divs.l",Cm68C20, 10,Constant{305}, EA_Lower, 1,Ignored{}, RDn, 2,Constant{2}, 5,Ignored{}, 3,Matching{1}},
		{"divu.l",Cm68C20, 10,Constant{305}, EA_Lower, 1,Ignored{}, RDn, 2,Constant{3}, 5,Ignored{}, EA_FDn},
		{"divs.w",All68K, 10,Constant{519}, EA_Lower},
		{"divsl",Cm68C20, 10,Constant{305}, EA_Lower, 1,Ignored{}, RDn, 2,Constant{2}, 5,Ignored{}, EA_FDn},
		{"divu.l",Cm68C20, 10,Constant{305}, EA_Lower, 1,Ignored{}, RDn, 2,Constant{0}, 5,Ignored{}, 3,Matching{1}},
		{"divu.l",Cm68C20, 10,Constant{305}, EA_Lower, 1,Ignored{}, RDn, 2,Constant{1}, 5,Ignored{}, EA_FDn},
		{"divu.w",All68K, 10,Constant{515}, EA_Lower},
		{"divul",Cm68C20, 10,Constant{305}, EA_Lower, 1,Ignored{}, RDn, 2,Constant{0}, 5,Ignored{}, EA_FDn},

		{"eor.b",$B100},
		{"eor.l",$B180},
		{"eor.w",$B140},
		{"eori.b",$0A00},
		{"eori.l",$0A80},
		{"eori.w",$0A40},
		{"exg", {4,Constant{12}, RDn, 6,Constant{40}, 1,Matching_Type{}}},	/* $C140 */
		{"exg", {4,Constant{12}, RAn, 6,Constant{41}, 1,Matching_Type{}}},
		{"exg", {4,Constant{12}, RDn, 6,Constant{49}, RAn}},
		{"ext.l",All68K, {13,Constant{2328}, RDn}},
		{"ext.w",All68K, {13,Constant{2320}, RDn}},
		{"extb.l",Cm68C20, {13,Constant{2361}, RDn}},

		{"frestore",CmFPU, {10,Constant{973}, EA_ULower}},
		{"fsave",CmFPU, {10,Constant{972}, EA_DLower}},

		{"illegal",All68K, 0,Constant{0x4E00}},

		{"jmp",$4EC0},
		{"jsr",$4E80},

		{"lea",$41C0},
		{"link",All68K, {13,Constant{2507}, RAn, 2,Large_Literal{}}},	/* $4E50 */
		{"link.l",Cm68C20, {13,Constant{2305}, RAn, 4,Large_Literal{}}},
		{"link.w",All68K, 0,Mnemonic{"link"}}
		{"lpstop",CmCPU32, $F800},
		{"lsl", 10,Constant{911}},
		{"lsl.b",$E108},
		{"lsl.l",$E188},
		{"lsl.w",$E148},
		{"lsr", 10,Constant{907}},
		{"lsr.b",$E008},
		{"lsr.l",$E088},
		{"lsr.w",$E048},

		{"move.b", 4,Constant{1}},
		{"move.l", 4,Constant{2}},
		{"move.w", 4,Constant{3}},
		{"move16",$F600},
		{"movea.l", 4,Constant{2}},
		{"movea.w", 4,Constant{3}},
		{"movec",$4E78},
		{"movem",$48C0},
		{"movep",0},
		{"moveq", {4,Constant{7}, RDn, 1,Constant{0}, 8,{Signed_Literal}}},
		{"moves",$0E00},
		{"muls.l",All68K, {10,Constant{304}, }},
		{"muls.w",All68K, {10,Constant{387}, }},
		{"mulu.l",All68K, {10,Constant{304}, }},
		{"mulu.w",All68K, {10,Constant{383}, }},

		{"nbcd",All68K, {10,Constant{288}, EA_Lower}},	/* $4800 */
		{"neg.b",$4400},
		{"neg.l",$4480},
		{"neg.w",$4440},
		{"negx.b",$4000},
		{"negx.l",$4080},
		{"negx.w",$4040},
		{"noop", 0,Constant{0xC140}},	/* a mnemonic for EXG D0,D0 */
		{"nop", 0,Constant{0x4E71}},
		{"not.b",$4600},	/* $4600 */
		{"not.l",$4680},
		{"not.w",$4640},

		{"or.b",$8000},	/* $8000 */
		{"or.l",$8080},
		{"or.w",$8040},
		{"ori.b",$0000},
		{"ori.l",$0080},
		{"ori.w",$0040},

		{"pack",$8140},	/* $8140 */
		{"pea",$4850},
		{"prestore",$F140},
		{"psave",$F100},

		{"reset",All68K, 0,Constant{0x4E70}},
		{"rol",All68K, 10,Constant{919}},
		{"rol.b",All68K, 4,Constant{7}, $E118},
		{"rol.l",All68K, $E198},
		{"rol.w",All68K, $E158},
		{"ror",All68K,  10,Constant{915}},
		{"ror.b",All68K, $E018},
		{"ror.l",All68K, $E098},
		{"ror.w",All68K, $E058},
		{"roxl",All68K,  10,Constant{911}},
		{"roxl.b",All68K, All68K, $E110},
		{"roxl.l",All68K, $E190},
		{"roxl.w",All68K, $E150},
		{"roxr",All68K,  10,Constant{907}},
		{"roxr.b",All68K, $E110},
		{"roxr.l",All68K, $E190},
		{"roxr.w",All68K, $E150},
		{"rtd",Cm68C20 {0,Constant{0x4E74}, 2,Large_Literal{}}},
		{"rte",All68K, {0,Constant{0x4E73}}},
		{"rtm",$"0300", $06C0},
		{"rtr",All68K, {0,Constant{0x4E77}}},
		{"rts",All68K, {0,Constant{0x4E75}}},

		{"sbcd",All68K, {4,Constant{8}, 1,Exchange{0,1}, RDn, 6,Constant{32}, 1,Matching_Type{}},	/* $8100 */
		{"sbcd",All68K, {4,Constant{8}, 1,Exchange{0,1}, MRAn, 6,Constant{33}, 1,Matching_Type{}},
		{"seq",All68K, {10,Constant{351}, EA_Lower}},
		{"sf",All68K, {10,Constant{327}, EA_Lower}},
		{"sge",All68K, {10,Constant{371}, EA_Lower}},
		{"sgt",All68K, {10,Constant{379}, EA_Lower}},
		{"shi",All68K, {10,Constant{335}, EA_Lower}},
		{"shs",All68K, {10,Constant{339}, EA_Lower}},
		{"sle",All68K, {10,Constant{383}, EA_Lower}},
		{"slo",All68K, {10,Constant{343}, EA_Lower}},
		{"sls",All68K, {10,Constant{331}, EA_Lower}},
		{"slt",All68K, 10,Constant{375}, EA_Lower},
		{"smi",All68K, 10,Constant{367}, EA_Lower},
		{"sne",All68K, 10,Constant{347}, EA_Lower},
		{"spl",All68K, 10,Constant{363}, EA_Lower},
		{"st",All68K, 10,Constant{323}, EA_Lower}, 
		{"stop", 0,Constant{0x4E72}},
		{"sub.b",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 3,Constant{0}, EA_Lower}},
		{"sub.b",All68K, {4,Constant{9}, RDn, 3,Constant{4}, EA_Lower}},
		{"sub.l",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 3,Constant{2}, EA_Lower}},
		{"sub.l",All68K, {4,Constant{9}, RDn, 3,Constant{6}, EA_Lower}},
		{"sub.w",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 3,Constant{1}, EA_Lower}},
		{"sub.w",All68K, {4,Constant{9}, RDn, 3,Constant{5}, EA_Lower}},
		{"suba.l",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 3,Constant{7}, EA_Lower}},	/* $91C0 */
		{"suba.w",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 3,Constant{3}, EA_Lower}},
		{"subi.b",All68K, {10,Constant{32}, EA_Lower, ImmB}},
		{"subi.l",All68K, {10,Constant{34}, EA_Lower, ImmW}},
		{"subi.w",All68K, {10,Constant{33}, EA_Lower, ImmL}},
		{"subq.b",All68K, {4,Constant{5}, 3,Nonzero_Literal{}, 3,Constant{4}, EA_Lower}},	/* $5100 */
		{"subq.l",All68K, {4,Constant{5}, 3,Nonzero_Literal{}, 3,Constant{6}, EA_Lower}},
		{"subq.w",All68K, {4,Constant{5}, 3,Nonzero_Literal{}, 3,Constant{5}, EA_Lower}},
		{"subx.b",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 4,Constant{32}, 1,Matching_Type{}}},	/* $9100 */
		{"subx.b",All68K, {4,Constant{9}, 1,Exchange{0,1}, MRAn, 4,Constant{33}, 1,Matching_Type{}}},
		{"subx.l",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 4,Constant{48}, 1,Matching_Type{}}},
		{"subx.l",All68K, {4,Constant{9}, 1,Exchange{0,1}, MRAn, 4,Constant{49}, 1,Matching_Type{}}},
		{"subx.w",All68K, {4,Constant{9}, 1,Exchange{0,1}, RDn, 4,Constant{40}, 1,Matching_Type{}}},
		{"subx.w",All68K, {4,Constant{9}, 1,Exchange{0,1}, MRAn, 4,Constant{41}, 1,Matching_Type{}}},
		{"svc",All68K, 10,Constant{355}, EA_Lower},
		{"svs",All68K, 10,Constant{359}, EA_Lower},
		{"swap",All68K, {13,Constant{2312}, RDn}},	/* $4840 */

		{"tas",All68K, 10,Constant{299}, EA_Lower},
		{"tbls",CmCPU32, $F800},
		{"tblsn",CmCPU32, $F800},
		{"tblu",CmCPU32, $F800},
		{"tblun",CmCPU32, $F800},
		{"tdivs",Cm68C20, {0,Mnemonic{"divsl"}}},
		{"tdivu",Cm68C20, {0,Mnemonic{"divul"}}},
		{"teq",Cm68C20, {0,Constant{0x57FC}}},
		{"teq.l",Cm68C20, {0,Constant{0x57FB}, 4,LgLiteral{}}},
		{"teq.w",Cm68C20, {0,Constant{0x57FA}, 2,LgLiteral{}}},
		{"tf",Cm68C20, {0,Constant{0x51FC}}},
		{"tf.l",Cm68C20, {0,Constant{0x51FB}, 4,LgLiteral{}}},
		{"tf.w",Cm68C20, {0,Constant{0x51FA}, 2,LgLiteral{}}},
		{"tge",Cm68C20, {0,Constant{0x5CFC}}},
		{"tge.l",Cm68C20, {0,Constant{0x5CFB}, 4,LgLiteral{}}},
		{"tge.w",Cm68C20, {0,Constant{0x5CFA}, 2,LgLiteral{}}},
		{"tgt",Cm68C20, {0,Constant{0x5EFC}}},
		{"tgt.l",Cm68C20, {0,Constant{0x5EFB}, 4,LgLiteral{}}},
		{"tgt.w",Cm68C20, {0,Constant{0x5EFA}, 2,LgLiteral{}}},
		{"thi",Cm68C20, {0,Constant{0x53FC}}},
		{"thi.l",Cm68C20, {0,Constant{0x53FB}, 4,LgLiteral{}}},
		{"thi.w",Cm68C20, {0,Constant{0x53FA}, 2,LgLiteral{}}},
		{"ths",Cm68C20, 0,Constant{0x54FC}}},
		{"ths.l",Cm68C20, {0,Constant{0x54FB}, 4,LgLiteral{}}},
		{"ths.w",Cm68C20, {0,Constant{0x54FA}, 2,LgLiteral{}}},
		{"tle",Cm68C20, {0,Constant{0x5FFC}}},
		{"tle.l",Cm68C20, {0,Constant{0x5FFB}, 4,LgLiteral{}}},
		{"tle.w",Cm68C20, {0,Constant{0x5FFA}, 2,LgLiteral{}}},
		{"tlo",Cm68C20, {0,Constant{0x55FC}}},
		{"tlo.l",Cm68C20, {0,Constant{0x55FB}, 4,LgLiteral{}}},
		{"tlo.w",Cm68C20, {0,Constant{0x55FA}, 2,LgLiteral{}}},
		{"tls",Cm68C20, {0,Constant{0x52FC}}},
		{"tls.l",Cm68C20, {0,Constant{0x52FB}, 4,LgLiteral{}}},
		{"tls.w",Cm68C20, {0,Constant{0x52FA}, 2,LgLiteral{}}},
		{"tlt",Cm68C20, {0,Constant{0x5DFC}}},
		{"tlt.l",Cm68C20, {0,Constant{0x5DFB}, 4,LgLiteral{}}},
		{"tlt.w",Cm68C20, {0,Constant{0x5DFA}, 2,LgLiteral{}}},
		{"tmi",Cm68C20, {0,Constant{0x5BFC}}},
		{"tmi.l",Cm68C20, {0,Constant{0x5BFB}, 4,LgLiteral{}}},
		{"tmi.w",Cm68C20, {0,Constant{0x5BFA}, 2,LgLiteral{}}},
		{"tne",Cm68C20, {0,Constant{0x56FC}}},
		{"tne.l",Cm68C20, {0,Constant{0x56FB}, 4,LgLiteral{}}},
		{"tne.w",Cm68C20, {0,Constant{0x56FA}, 2,LgLiteral{}}},
		{"tpl",Cm68C20, {0,Constant{0x5AFC}}},
		{"tpl.l",Cm68C20, {0,Constant{0x5AFB}, 4,LgLiteral{}}},
		{"tpl.w",Cm68C20, {0,Constant{0x5AFA}, 2,LgLiteral{}}},
		{"trap",All68K, {0,Constant{0x4E40}}},
		{"trapv",All68K, {0,Constant{0x4E76}}},
		{"tst.b",All68K, {0,Constant{296}, EA_Lower}},
		{"tst.l",All68K, {0,Constant{298}, EA_Lower}},
		{"tst.w",All68K, {0,Constant{297}, EA_Lower}},
		{"tt",Cm68C20, {0,Constant{0x50FC}}},
		{"tt.l",Cm68C20, {0,Constant{0x50FB}, 4,LgLiteral{}}},
		{"tt.w",Cm68C20, {0,Constant{0x50FA}, 2,LgLiteral{}}},
		{"tvc",Cm68C20, {0,Constant{0x58FC}}},
		{"tvc.l",Cm68C20, {0,Constant{0x58FB}, 4,LgLiteral{}}},
		{"tvc.w",Cm68C20, {0,Constant{0x58FA}, 2,LgLiteral{}}},
		{"tvs",Cm68C20, {0,Constant{0x59FC}}},
		{"tvs.l",Cm68C20, {0,Constant{0x59FB}, 4,LgLiteral{}}},
		{"tvs.w",Cm68C20, {0,Constant{0x59FA}, 2,LgLiteral{}}},

		{"unlk",All68K, {13,Constant{2507}, RAn}},	/* 0x4E58 */
		{"unpk",Cm68020, {4,Constant{8}, 1,Exchange{0,1}, RDn, 4,Constant{48}, 1,Matching_Type{}}	/* $8180 */
		{"unpk",Cm68020, {4,Constant{8}, 1,Exchange{0,1}, MRAn, 4,Constant{49}, 1,Matching_Type{}}
	}
};
